package com.lemon.lifecenter.mapper;

import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import com.lemon.lifecenter.dto.CenterInfoDTO;
import com.lemon.lifecenter.dto.LocationDTO;

@Repository
@Mapper
public interface CenterMapper {
    public List<LocationDTO> selectLocation();
    public void insertCenter(CenterInfoDTO dto) throws Exception;
    public CenterInfoDTO selectCenterInfo(CenterInfoDTO dto);
    public int selectCenterCount(CenterInfoDTO dto);
    public List<CenterInfoDTO> selectCenterList(CenterInfoDTO dto);
    public Integer updateCenterInfo(CenterInfoDTO dto);
}
